Introduction The IBM® Cloud Logs Routing platform service collects application logs and delivers them to a customer-provided logging endpoint. The IBM Cloud Logs Routing service is available as a regular offering. The only supported log sinks available are IBM Cloud Logs and IBM Log Analysis. There is a go SDK available to access this service and a terraform provider to support automated setup. The customer can create onboard a tenant for IBM Cloud Logs Routing using either a curl command and the management API described in this documentation, via the IBM Cloud Web Console or by automation using the terraform provider. To collect the logs from the customer's IBM Cloud Kubernetes Service, Red Hat OpenShift on IBM Cloud, IBM® Virtual Servers with Linux or VPC clusters, the log collecting agent must be installed in those environments. This is a versioned API. To pin your application to a dedicated version add the http header IBM-API-Version with the date in the format YYYY-MM-DD. To use the latest version of the API specify the current day. Endpoint URLs The IBM Cloud Logs Routing Services API for tenant creation onboarding and tenant deletion off-boarding uses site-specific endpoint URLs to register or unregister with the service. IBM Cloud Logs Routing supports classic infrastructure as well as the Virtual Private Cloud VPC endpoint gateway VPE gateway. Private management endpoint URL for the VPC infrastructure: text https://management.private.Method Path Summary GET /tenants List tenants POST /tenants Create (onboard) a tenant GET /tenants/{tenant_id} Retrieve a tenant DELETE /tenants/{tenant_id} Delete (offboard) a tenant PATCH /tenants/{tenant_id} Update a tenant GET /tenants/{tenant_id}/targets List targets for a tenant POST /tenants/{tenant_id}/targets Create a target GET /tenants/{tenant_id}/targets/{target_id} Retrieve a target PATCH /tenants/{tenant_id}/targets/{target_id} Update a target DELETE /tenants/{tenant_id}/targets/{target_id} Delete a target